! @(#)login.prg	14.1.1.2 (ESO-DMD) 05/10/00 23:23:03
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
!  general login procedure for Portable MIDAS 
!  to be run each time at start of interactive monitor for MIDAS
!  K. Banse	920121, 930310, 980129, 000407
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! ECHO/full ALL
!
assign/defaults					!assign all defaults
if aux_mode .eq. 1 then			!in VMS set up SYS$ERROR as Null device
   $ASSIGN _NL: SYS$ERROR        	!to avoid double DCL error messages
endif
! 
! -----------------
! here for inmidas     (activities at start up)
! -----------------
!
if mode(9) .eq. -1 then
   if mid$sess(1:4) .ne. "NULL" then	!if session at an ImageDisplay
      @ dazlogin login			!fill display relevant keywords
      if mode(5) .eq. 0 -TYPE MID_MONIT:xnews.txt	! = 1 for -noh option
   endif
!
!  if in La Silla execute telescope specific startup procedure
   if m$existk("TLaSilla") .eq. 1 @c start_tel
! 
!  in interactive mode, execute personal login procedure 
!                 else, test for parameters + execute midjobXY.prg
! 
   if mode(3) .eq. 0 then
      error(3) = 79; error(4) = 0	!do not display error, if no login.prg
      @@ login	
      error(4) = 1
   else
      if p1(1:1) .ne. "?" @@ {p1}
   endif				
   synchronize/midas time_stamp		!make time stamp in RUNNINGxy
! 
! ----------------
! here for gomidas
! ----------------
!
else
!
!  if in La Silla execute telescope specific startup procedure
   if m$existk("TLaSilla") .eq. 1 @c start_tel
! 
   error(3) = 79; error(4) = 0		!do not display error, if no login.prg
   @@ login
   error(4) = 1
   read/comm 				!get last command buffer back in 
endif
! 
mode(9) = mode(9)+1			! = 0 after inmidas, > 0 after gomidas
error(3) = 0				!reset to stop on errors
