! @(#)cursexa.prg	14.1.1.1 (ES0-DMD) 09/16/99 09:27:14
! +++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure CURSEXA
! K. Banse	880922
!
! demonstrate the fixed + programmable cursors
!
! +++++++++++++++++++++++++++++++++++++++++++++++
!
DEFINE/PARAM P1 0.5 N "Enter delay in sec: "
CLEAR/CURSOR
!
WRITE/OUT "Cursor demonstration procedure CURSEXA for the Image Display:"
WRITE/OUT "Please, note that the following is specific to the "
WRITE/OUT  "IP500 image display from GOULD - DeAnza"
WRITE/OUT
WRITE/OUT "Two cursors are provided, labeled no. 1 and no. 2 on the cursor box"
WRITE/OUT "There is a choice of fixed cursor shapes (using one or both cursors)"
WRITE/OUT as well as some preprogrammed shapes
WRITE/OUT
WRITE/OUT "to select a fixed cursor shape use the command SET/CURSOR -
c_no c_form"
WRITE/OUT "where c_no = 0, 1, 2 for cursor no. 1,2  or both cursors"
WRITE/OUT "      c_form = 0,1,2,...,15 for the different shapes"
WRITE/OUT
WRITE/OUT "we now show some of the available fixed forms"
!
@ CURSEXA,SUBCURS 0 1 'P1'
@ CURSEXA,SUBCURS 0 2 'P1'
@ CURSEXA,SUBCURS 0 4 'P1'
@ CURSEXA,SUBCURS 2 13 'P1'
@ CURSEXA,SUBCURS 2 14 'P1'
@ CURSEXA,SUBCURS 2 15 'P1'
!
WRITE/OUT
WRITE/OUT "To obtain the programmed shapes use first the command "
WRITE/OUT "SET/CURSOR c_no PROG where c_no defined as described above"
WRITE/OUT and then LOAD/CURSOR shape
WRITE/OUT
WRITE/OUT "the following programmable cursor shapes exist currently:"
WRITE/OUT "CROSSA, CROSSB, CROSSB, CROSSC, CROSSD, SMALL, ARROW"
WRITE/OUT "(for a complete list do  $ DIR MID_SYSTAB:*.cur  -  VMS)"
WRITE/OUT "(                    or  $ ls $MID_SYSTAB/*.cur  -  Unix)"
WRITE/OUT
WRITE/OUT "we now show some of the available programmed cursor shapes"
WRITE/OUT
!
WRITE/OUT "first we clear and do SET/CURSOR 0 PROG"
CLEAR/CURSOR
SET/CURS 0 PROG
!
@ CURSEXA,PROCURS CROSSA
@ CURSEXA,PROCURS CROSSB
@ CURSEXA,PROCURS ARROW
!
WRITE/OUT
WRITE/OUT "A program exists ( PROGCUR in the DEANZA subdirectory ) which -
converts"
WRITE/OUT "any 64 * 64 MIDAS image (name of that must be put into key IN_A) "
WRITE/OUT "to a cursor table curlut.tbl"
WRITE/OUT "rename this table to e.g.  new.cur  and do  LOAD/CURSOR new  to see"
WRITE/OUT your own homegrown cursor...
WRITE/OUT
WRITE/OUT "We can also assign colours to the cursors via overlay LUTs."
WRITE/OUT
WRITE/OUT "Let us load a nice cursor..."
WRITE/OUT LOAD/CURS asterix
LOAD/CURS asterix
WRITE/OUT
WRITE/OUT LOAD/OVERLAY bluecur 0,768 yields:
LOAD/OVER bluecur 0,768
WRITE/OUT
WRITE/OUT LOAD/OVERLAY greencur 0,768 yields:
LOAD/OVER greencur 0,768
WRITE/OUT
WRITE/OUT LOAD/OVERLAY redcur 0,768 yields:
LOAD/OVER redcur 0,768
WRITE/OUT
WRITE/OUT LOAD/OVERLAY default 0,768 brings us back to white:
LOAD/OVER default 0,768
!
! entry SUBCURS here
!
ENTRY SUBCURS
WRITE/OUT
WRITE/OUT SET/CURSOR 'P1' 'P2' yields:
SET/CURSOR 'P1' 'P2'
WAIT 'P3'
!
! entry PROCURS here
!
ENTRY PROCURS
WRITE/OUT
WRITE/OUT LOAD/CURSOR 'P1' yields:
LOAD/CURSOR 'P1'
WAIT 'P2'
